Bug 1658483 - [Marvell 7.5 Bug] Unnecessary Login attempts are done even after successful login, causing delay in system boot
Summary: [Marvell 7.5 Bug] Unnecessary Login attempts are done even after successful l...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Chris Leech
QA Contact: Filip Suba
URL:
Whiteboard:
Depends On: 1657672
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 09:23 UTC by Nilesh Javali
Modified: 2019-08-09 16:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1657672
Environment:
Last Closed: 2019-08-09 13:27:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nilesh Javali 2018-12-12 09:23:06 UTC
+++ This bug was initially created as a clone of Bug #1657672 +++

Description of problem:
In iSCSI offload Boot from SAN environment with multipath configuration, during OS boot
the iscsistart unnecessarily attempts to login to already logged in sessions thus causing delay in system boot.
 
Version-Release number of selected component (if applicable):
RHEL 7.6 GA

How reproducible:
Always 100% reproducible

Steps to Reproduce:
1. Install RHEL 7.6 GA OS on iSCSI LUN using QLogic Fastlinq CNA adapter via iSCSI offload path in mutipath configuration.
2. The OS installs successfully
3. On the first OS boot it is observed that iscsistart continuously attempts login to iSCSI sessions already being established.

[   81.531880] dracut-initqueue[2342]: iscsistart: version 6.2.0.874-10
[   82.535366] dracut-initqueue[2342]: iscsistart: initiator reported error (15 - session exists)
[   82.540439] dracut-initqueue[2342]: iscsistart: initiator reported error (15 - session exists)
[   82.545569] dracut-initqueue[2342]: Warning: 'iscsistart -b ' failed with return code 0

4. This adds delay in booting of OS.

Actual results:
The OS boot takes more than 5 mins to boot.

Expected results:
The OS should boot within less than 5 mins.

Additional info:
Adding OS boot logs showing multiple login attempts.

--- Additional comment from Nilesh Javali on 2018-12-10 09:27:23 UTC ---

Below are the multipath.conf settings,
cat /etc/multipath.conf
defaults {
        find_multipaths yes
        user_friendly_names yes
        polling_interval 5
        fast_io_fail_tmo 5
        dev_loss_tmo 10
        checker_timeout 15
        failback immediate
}

Comment 3 Chris Tatman 2019-08-09 13:27:58 UTC
Hi Nilesh,

I'm a little confused as to why you opened this bug against 7.5 after already having one opened against 7.6 - 1657672. The last opportunity to get a zstream fix for 7.5 for this bug would have been on 2018-08-07. I am closing this one as a 'wontfix.' Please email me directly if you have any questions.

--Chris

Comment 4 Nilesh Javali (Marvell) 2019-08-09 16:17:12 UTC
Just to highlight that issue exists with 7.5 as well, created clone of 7.6 - 1657672.
Well this issue is still seen with newer distros like RHEL 8.1 too.


Note You need to log in before you can comment on or make changes to this bug.